AminoAcidImpl (BioJava-1.5-beta API)
Keywords: org.biojava.bio.structure.AminoAcidImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class AminoAcidImpl

    java.lang.Object
      org.biojava.bio.structure.HetatomImpl
          org.biojava.bio.structure.AminoAcidImpl

All Implemented Interfaces:
  AminoAcid, Group

    public class AminoAcidImpl

extends HetatomImpl
implements AminoAcid

AminoAcid inherits most from Hetatom. Adds a few AminoAcid specific methods.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Field Summary
`static String` | `type` this is an Amino acid.

Constructor Summary
`AminoAcidImpl()`

Method Summary
`Object` | `clone()` returns and identical copy of this Group object .
`Character` | `getAminoType()` returns the name of the AA, in single letter code.
`Atom` | `getC()` get C atom.
`Atom` | `getCA()` get CA atom.
`Atom` | `getCB()` get CB atom.
`Atom` | `getN()` get N atom.
`Atom` | `getO()` get O atom.
`Map` | `getSecStruc()` get secondary structure data .
`String` | `getType()` Returns the type value.
`void` | `setAminoType(Character aa)` set the name of the AA, in single letter code .
`void` | `setPDBName(String s)` set three character name of AminoAcid.
`void` | `setSecStruc(Map secstr)` set the secondary structure data for this amino acid.
`String` | `toString()` string representation.

Methods inherited from class org.biojava.bio.structure.HetatomImpl
`addAtom, clearAtoms, getAtom, getAtom, getAtoms, getParent, getPDBCode, getPDBName, getProperties, getProperty, has3D, hasAminoAtoms, hasAtom, iterator, setParent, setPDBCode, setPDBFlag, setProperties, setProperty, size`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.bio.structure.Group
`addAtom, clearAtoms, getAtom, getAtom, getAtoms, getParent, getPDBCode, getPDBName, getProperties, getProperty, has3D, hasAminoAtoms, hasAtom, iterator, setParent, setPDBCode, setPDBFlag, setProperties, setProperty, size`

Field Detail

### type

    public static String type

  this is an Amino acid. type is "amino".

Constructor Detail

### AminoAcidImpl

    public AminoAcidImpl()

Method Detail

### getType

    public String getType()

  Description copied from class: `HetatomImpl`
  Returns the type value.

  Specified by:
    `getType` in interface `Group`
  Overrides:
    `getType` in class `HetatomImpl`
  Returns:
    a String representing the type value

### setSecStruc

    public void setSecStruc(Map secstr)

  set the secondary structure data for this amino acid. the data is a Map with the following indeces (@see Secstruc)

  Specified by:
    `setSecStruc` in interface `AminoAcid`
  Parameters:
    `secstr` - a Map object specifying the sec struc value
  See Also:
    `getSecStruc()`

### getSecStruc

    public Map getSecStruc()

  get secondary structure data .

  Specified by:
    `getSecStruc` in interface `AminoAcid`
  Returns:
    a Map object representing the sec struc value
  See Also:
    `setSecStruc(java.util.Map)`

### getN

    public Atom getN()
              throws StructureException

  get N atom.

  Specified by:
    `getN` in interface `AminoAcid`
  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getCA

    public Atom getCA()
               throws StructureException

  get CA atom.

  Specified by:
    `getCA` in interface `AminoAcid`
  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getC

    public Atom getC()
              throws StructureException

  get C atom.

  Specified by:
    `getC` in interface `AminoAcid`
  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getO

    public Atom getO()
              throws StructureException

  get O atom.

  Specified by:
    `getO` in interface `AminoAcid`
  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getCB

    public Atom getCB()
               throws StructureException

  get CB atom.

  Specified by:
    `getCB` in interface `AminoAcid`
  Returns:
    an Atom object
  Throws:
    `StructureException` - ...

### getAminoType

    public Character getAminoType()

  returns the name of the AA, in single letter code.

  Specified by:
    `getAminoType` in interface `AminoAcid`
  Returns:
    a Character object representing the amino type value
  See Also:
    `setAminoType(java.lang.Character)`

### setAminoType

    public void setAminoType(Character aa)

  set the name of the AA, in single letter code .

  Specified by:
    `setAminoType` in interface `AminoAcid`
  Parameters:
    `aa` - a Character object specifying the amino type value
  See Also:
    `getAminoType()`

### toString

    public String toString()

  string representation.

  Specified by:
    `toString` in interface `AminoAcid`
  Overrides:
    `toString` in class `HetatomImpl`

### setPDBName

    public void setPDBName(String s)
                    throws PDBParseException

  set three character name of AminoAcid.

  Specified by:
    `setPDBName` in interface `Group`
  Overrides:
    `setPDBName` in class `HetatomImpl`
  Parameters:
    `s` - a String specifying the PDBName value
  Throws:
    `PDBParseException` - ...
  See Also:
    `HetatomImpl.getPDBName()`

### clone

    public Object clone()

  returns and identical copy of this Group object .

  Specified by:
    `clone` in interface `Group`
  Overrides:
    `clone` in class `HetatomImpl`
  Returns:
    and identical copy of this Group object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD